Subject: [PATCH v3 1/3] mtd: s3c2410: make ecc mode configurable via platform data

From: [email-masked] (Krzysztof Kozlowski)
Date: Fri, 21 Oct 2016 23:06:25 +0300

On Fri, Oct 21, 2016 at 08:51:51PM +0200, Marek Vasut wrote:
> On 10/21/2016 08:27 PM, Krzysztof Kozlowski wrote:
> > On Thu, Oct 20, 2016 at 07:42:44PM -0200, Sergio Prado wrote:
> >> Removing CONFIG_MTD_NAND_S3C2410_HWECC option and adding a ecc_mode
> >> field in the drivers's platform data structure so it can be selectable
> >> via platform data.
> >>
> >> Also setting this field to NAND_ECC_SOFT in all boards using this
> >> driver since none of them had CONFIG_MTD_NAND_S3C2410_HWECC enabled.
> >>
> >> Signed-off-by: Sergio Prado <[email-masked]>
> >> ---
> >>  arch/arm/mach-s3c24xx/common-smdk.c            |   1 +
> >>  arch/arm/mach-s3c24xx/mach-anubis.c            |   1 +
> >>  arch/arm/mach-s3c24xx/mach-at2440evb.c         |   1 +
> >>  arch/arm/mach-s3c24xx/mach-bast.c              |   1 +
> >>  arch/arm/mach-s3c24xx/mach-gta02.c             |   1 +
> >>  arch/arm/mach-s3c24xx/mach-jive.c              |   1 +
> >>  arch/arm/mach-s3c24xx/mach-mini2440.c          |   1 +
> >>  arch/arm/mach-s3c24xx/mach-osiris.c            |   1 +
> >>  arch/arm/mach-s3c24xx/mach-qt2410.c            |   1 +
> >>  arch/arm/mach-s3c24xx/mach-rx1950.c            |   1 +
> >>  arch/arm/mach-s3c24xx/mach-rx3715.c            |   1 +
> >>  arch/arm/mach-s3c24xx/mach-vstms.c             |   1 +
> >>  arch/arm/mach-s3c64xx/mach-hmt.c               |   1 +
> >>  arch/arm/mach-s3c64xx/mach-mini6410.c          |   1 +
> >>  arch/arm/mach-s3c64xx/mach-real6410.c          |   1 +
> >>  drivers/mtd/nand/Kconfig                       |   9 --
> >>  drivers/mtd/nand/s3c2410.c                     | 119 +++++++++++++------------
> >>  include/linux/platform_data/mtd-nand-s3c2410.h |   6 +-
> >>  18 files changed, 79 insertions(+), 70 deletions(-)
> >>
> > 
> > I acked this twice (v1 and v2)... and still you are ignoring them. I am
> > sorry, I am not gonna to ack this third time!
> 
> Hi, um, I am kinda new to this mess, what's going on ? You ACKed
> previous patches, next revision was submitted, so you need to ACK
> the next revision too (due to the changes).
>

Some of the patches (1/3 and 2/3) were not changed. The resubmission of
a patch should contain the ack. Otherwise one would have to ack
indefinitely...

The changes in 2/3 were quite irrelevant to my ack, so the ack could
stay.

BR,
Krzysztof